From ebbfa758ef09fc22db872c50c241db173c893b95 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <msawada@postgresql.orig>
Date: Wed, 29 Nov 2023 17:01:57 +0900
Subject: [PATCH v2] Fix set_query_timer_restart() didn't work without
 argument.

The set_query_timer_restart() required an argument to define a value
to query_timer_restart, but none of the existing callers passes an
argument to this function.

This changes the function to set a value without an argument.

Backpatch through 16 where this was introduced.

Reviewed-by: Bharath Rupireddy, Tom Lane
Discussion: https://postgr.es/m/CAD21AoA0B6VKe_5A9nZi8i5umwSN-zJJuPVNht9DaOZ9SJumMA@mail.gmail.com
Backpatch-through: 16
---
 src/test/perl/PostgreSQL/Test/BackgroundPsql.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/perl/PostgreSQL/Test/BackgroundPsql.pm b/src/test/perl/PostgreSQL/Test/BackgroundPsql.pm
index 924b57ab21..764f0a5380 100644
--- a/src/test/perl/PostgreSQL/Test/BackgroundPsql.pm
+++ b/src/test/perl/PostgreSQL/Test/BackgroundPsql.pm
@@ -301,7 +301,7 @@ sub set_query_timer_restart
 {
 	my $self = shift;
 
-	$self->{query_timer_restart} = shift if @_;
+	$self->{query_timer_restart} = 1;
 	return $self->{query_timer_restart};
 }
 
-- 
2.31.1

